POSTCreate swap EIP 5792 calldata
Create swap EIP 5792 calldata
npx skills add uniswap/uniswap-ai --skill swap-integrationFull swap flow integration for apps. Works with Claude Code, Cursor, and other AI coding tools.
Get a QuoteThis endpoint requires a quote response from the Quote API.
Authorization
x-api-keystringrequiredheaderPlayground key
You're using a shared playground keyCreate a free account and get your own API keys from the dashboard.
Get your keysHeaders
x-universal-router-versionenumdefault:2.01.22.02.1.1
The version of the Universal Router to use for the swap journey. *MUST* be consistent throughout the API calls.
Body
application/jsonpermitDataobjectdeadlinenumberThe unix timestamp at which the order will be reverted if not filled.
urgencyenum | UrgencyWithOverridesResponse
Create 5792 swap successful.
requestIdstringrequiredA unique ID for the request.
fromstringrequiredchainIdenumrequiredThe unique ID of the blockchain. For a list of supported chains see the FAQ.
callsobject[]requiredgasFeestringThe total estimated gas cost of this transaction (eg. gasLimit multiplied by maxFeePerGas) in the base unit of the chain.
POST
/swap_5792RequestcURL
curl --request POST \
--url 'https://trade-api.gateway.uniswap.org/v1/swap_5792' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-universal-router-version: 2.0'Response
200
{ "requestId": "<string>", "from": "<string>", "chainId": "<number>", "calls": [ { "to": "<string>", "data": "<string>", "value": "<string>", "gasLimit": "<string>", "maxFeePerGas": "<string>", "maxPriorityFeePerGas": "<string>", "gasPrice": "<string>" } ], "gasFee": "<string>"}